解除宝塔面板 MySQL 安装最低内存限制

本文最后更新时间 ☞

问题现象

场景

低内存服务器(如 512MB 内存)使用宝塔面板时,一些程序要求 MySQL 版本最低为 5.6。

问题

安装 MySQL 5.6 时提示最低内存要求 768MB;
安装 MySQL 5.7 时提示最低内存要求 1560MB。


解决办法

  1. 宝塔面板 – 文件 – 路径 /www/server/panel/data – 编辑 plugin.json
    (注意不要在命令行编辑,否则很难找到要编辑的内容)
  2. 打开编辑面板后按 Ctrl+F 搜索 768(如果要安装 MySQL 5.6)或 1560(如果要安装 MySQL 5.7),找到包含类似下面内容的片段:
{"m_version": "5.6", "dependnet": "", "update_msg": "", "version": "45", "os_limit": 0, "cpu_limit": 1, "mem_limit": 768}

然后根据自己要安装的版本,找到要改动的位置,修改 mem_limit 值为小于实际内存即可。修改后保存,即可安装对应版本 MySQL 而不受内存限制了。

发表评论